#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

constexpr int kMaxX = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int g = opt<int>("g");

    println(n, g);
    vector<pair<int, int>> v;
    v.emplace_back(kMaxX, kMaxX);
    v.emplace_back(-kMaxX, kMaxX);
    v.emplace_back(kMaxX, -kMaxX);
    for (int i = 0; i < n - 3; i++) {
        int x = -kMaxX;
        int y = -kMaxX;
        while (x + y <= 0) {
            x = rnd.next(-kMaxX, kMaxX);
            y = rnd.next(-kMaxX, kMaxX);
        }
        v.emplace_back(x, y);
    }
    shuffle(v.begin(), v.end());
    for (auto [x, y] : v) {
        println(x, y);
    }

    return 0;
}